# $Revision: 1.70 $, $Date: 2010/02/27 17:19:57 $
#
# Conditional build:
%bcond_without	crypto		# don't build crypto support
%bcond_without	gnome		# don't build gnome-vfs2 module
%bcond_without	fuse		# don't build ntfsmount utility
#
%define	docver	0.5
Summary:	NTFS filesystem libraries and utilities
Summary(pl.UTF-8):	Narzędzia i biblioteki do obsługi systemu plików NTFS
Name:		ntfsprogs
Version:	2.0.0
Release:	6
License:	GPL v2+
Group:		Applications/System
Source0:	http://dl.sourceforge.net/linux-ntfs/%{name}-%{version}.tar.bz2
# Source0-md5:	2b39dece8897bc748f4ab4c40ec7699e
Source1:	http://dl.sourceforge.net/linux-ntfs/ntfsdoc-%{docver}.tar.bz2
# Source1-md5:	d713836df621686785c3230e5788c689
Patch0:		%{name}-stdarg_h-required.patch
Patch1:		%{name}-gnutls.patch
URL:		http://www.linux-ntfs.org/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake
BuildRequires:	gcc >= 5:3.1
%{?with_gnome:BuildRequires:	gnome-vfs2-devel >= 2.0}
%{?with_crypto:BuildRequires:	gnutls-devel >= 2.8.0}
%{?with_fuse:BuildRequires:	libfuse-devel >= 2.3.0}
%{?with_crypto:BuildRequires:	libgcrypt-devel >= 1.2.0}
BuildRequires:	libconfig-devel >= 1.1.3
BuildRequires:	libtool >= 1:1.4.2-9
BuildRequires:	pkgconfig
Obsoletes:	linux-ntfs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Linux-NTFS project (http://linux-ntfs.sf.net/) aims to bring full
support for the NTFS filesystem to the Linux operating system.
Linux-NTFS currently consists of a library and utilities. This package
contains the following utilities:

- ntfsfix - attempt to fix an NTFS partition that has been damaged by
  the Linux NTFS driver. It should be run every time after you have used
  the Linux NTFS driver to write to an NTFS partition to prevent massive
  data corruption from happening when Windows mounts the partition.
  IMPORTANT: Run this only *after* unmounting the partition in Linux but
  *before* rebooting into Windows NT/2000!,
- mkntfs - create partition with the NTFS filesystem,
- ntfslabel - display/change the label of an NTFS partition,
- ntfsundelete - recover deleted files from an NTFS volume,
- ntfsresize - resize an NTFS volume,
- ntfsclone - clone, image, restore or rescue NTFS,
- ntfswipe - wipe junk from unused space,
- ntfsdecrypt - descrypt $EFS-encrypted files.

You can find more information about these utilities in their manuals.

%description -l pl.UTF-8
Projekt Linux-NTFS ma na celu dostarczyć pełną obsługę NTFS pod
Linuksem. Aktualnie składa się z biblioteki i narzędzi. Pakiet zawiera
następujące narzędzia:

- ntfsfix - próbuje naprawiać partycję NTFS uszkodzone przez linuksowy
  sterownik do NTFS. Powinien być uruchamiany po każdym zapisie na
  partycji NTFS, aby zapobiec masowemu zniszczeniu danych. WAŻNE: należy
  uruchamiać ten program tylko *po* odmontowaniu partycji pod Linuksem,
  ale *przed* uruchomieniem Windows NT/2000!
- mkntfs - "formatuje" partycję NTFS.
- ntfslabel - wyświetla/zmienia etykietę partycji NTFS.
- ntfsundelete - odzyskuje usunięte pliki z wolumenu NTFS.
- ntfsresize - zmienia rozmiar wolumenu NTFS.
- ntfsclone
- ntfswipe
- ntfsdecrypt

Więcej informacji na temat tych narzędzi można znaleźć w manualach.

%package devel
Summary:	Files required to compile software that uses libntfs
Summary(pl.UTF-8):	Pliki potrzebne do kompilowania programów korzystających z libntfs
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	linux-ntfs-devel

%description devel
This package includes the header files needed to link software with
libntfs.

%description devel -l pl.UTF-8
Pliki nagłówkowe potrzebne do budowania programów korzystających z
libntfs.

%package static
Summary:	Static version of libntfs
Summary(pl.UTF-8):	Statyczna wersja libntfs
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	linux-ntfs-static

%description static
This package contains the static version of libntfs library.

%description static -l pl.UTF-8
Ten pakiet zawiera statyczną wersję biblioteki libntfs.

%package fuse
Summary:	NTFS FUSE module (ntfsmount)
Summary(pl.UTF-8):	Moduł FUSE dla NTFS (ntfsmount)
Group:		Base/Utilities
Requires:	%{name} = %{version}-%{release}

%description fuse
This package contains the ntfsmount utility which is an NTFS
filesystem in userspace (FUSE) module allowing users to mount an NTFS
filesystem from userspace and accessing it using the functionality
provided by the NTFS library (libntfs).

%description fuse -l pl.UTF-8
Pakiet zawiera narzędzie ntfmount, które jest modułem FUSE
pozwalającym użytkownikom na dostęp do systemu plików NTFS w
przestrzeni użytkownika wykorzystując funkcjonalność biblioteki
libntfs.

%package -n gnome-vfs2-module-ntfs
Summary:	NTFS module for gnome-vfs
Summary(pl.UTF-8):	Moduł NTFS dla gnome-vfs
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description -n gnome-vfs2-module-ntfs
NTFS module for gnome-vfs.

%description -n gnome-vfs2-module-ntfs -l pl.UTF-8
Moduł NTFS dla gnome-vfs.

%prep
%setup -q -a1
%patch0 -p1
%patch1 -p1

%if !%{with crypto}
echo 'AC_DEFUN([AM_PATH_LIBGCRYPT],[:])' > fake-am_path_libgcrypt.m4
echo 'AC_DEFUN([AM_PATH_LIBGNUTLS],[:])' > fake-am_path_libgnutls.m4
%endif

%build
%{__libtoolize}
%{__aclocal} -I .
%{__autoconf}
%{__autoheader}
%{__automake}

# -fms-extensions needed to compile typedefed unnamed structs with gcc 3.3
CFLAGS="%{rpmcflags} -fms-extensions"
%configure \
	--%{?with_fuse:en}%{!?with_fuse:dis}able-fuse-module \
	--%{?with_gnome:en}%{!?with_gnome:dis}able-gnome-vfs \
	--%{?with_crypto:en}%{!?with_crypto:dis}able-crypto

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make}  install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/gnome-vfs-2.0/modules/lib*.{la,a}
# instead of symlinks
rm -f $RPM_BUILD_ROOT%{_mandir}/man8/{mkfs.ntfs,mount.fuse.ntfs,mount.ntfs-fuse}.8
echo '.so mkntfs.8' > $RPM_BUILD_ROOT%{_mandir}/man8/mkfs.ntfs.8
echo '.so ntfsmount.8' > $RPM_BUILD_ROOT%{_mandir}/man8/mount.ntfs-fuse.8
echo '.so ntfsmount.8' > $RPM_BUILD_ROOT%{_mandir}/man8/mount.fuse.ntfs.8

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS CREDITS ChangeLog NEWS README TODO* libntfs/config
%attr(755,root,root) %{_bindir}/ntfscat
%attr(755,root,root) %{_bindir}/ntfscluster
%attr(755,root,root) %{_bindir}/ntfscmp
%attr(755,root,root) %{_bindir}/ntfsfix
%attr(755,root,root) %{_bindir}/ntfsinfo
%attr(755,root,root) %{_bindir}/ntfsls
%attr(755,root,root) %{_sbindir}/mkntfs
%attr(755,root,root) %{_sbindir}/ntfsclone
%attr(755,root,root) %{_sbindir}/ntfscp
%attr(755,root,root) %{_sbindir}/ntfslabel
%attr(755,root,root) %{_sbindir}/ntfsresize
%attr(755,root,root) %{_sbindir}/ntfsundelete
%attr(755,root,root) /sbin/mkfs.ntfs
%attr(755,root,root) %{_libdir}/libntfs.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libntfs.so.10
%{_mandir}/man8/libntfs.8*
%{_mandir}/man8/mkfs.ntfs.8*
%{_mandir}/man8/mkntfs.8*
%{_mandir}/man8/ntfscat.8*
%{_mandir}/man8/ntfsclone.8*
%{_mandir}/man8/ntfscluster.8*
%{_mandir}/man8/ntfscmp.8*
%{_mandir}/man8/ntfscp.8*
%{_mandir}/man8/ntfsfix.8*
%{_mandir}/man8/ntfsinfo.8*
%{_mandir}/man8/ntfslabel.8*
%{_mandir}/man8/ntfsls.8*
%{_mandir}/man8/ntfsprogs.8*
%{_mandir}/man8/ntfsresize.8*
%{_mandir}/man8/ntfsundelete.8*

%files devel
%defattr(644,root,root,755)
%doc ntfsdoc-*/* doc/{attribute_definitions,tunable_settings,*.txt}
%attr(755,root,root) %{_libdir}/libntfs.so
%{_libdir}/libntfs.la
%{_includedir}/ntfs

%files static
%defattr(644,root,root,755)
%{_libdir}/libntfs.a

%if %{with fuse}
%files fuse
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/ntfsmount
%attr(755,root,root) /sbin/mount.fuse.ntfs
%attr(755,root,root) /sbin/mount.ntfs-fuse
%{_mandir}/man8/mount.fuse.ntfs.8*
%{_mandir}/man8/mount.ntfs-fuse.8*
%{_mandir}/man8/ntfsmount.8*
%endif

%if %{with gnome}
%files -n gnome-vfs2-module-ntfs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/gnome-vfs-2.0/modules/libntfs-gnomevfs.so*
%{_sysconfdir}/gnome-vfs-2.0/modules/libntfs.conf
%{_mandir}/man8/libntfs-gnomevfs.8*
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ntfsprogs.spec,v $
Revision 1.70  2010/02/27 17:19:57  hawk
- release 6

Revision 1.69  2009/06/21 14:17:37  hawk
- fixed for gnutls 2.8.x thus BR gnutls-devel >= 2.8.0

Revision 1.68  2009/05/17 12:07:41  patrys
- rel 4

Revision 1.67  2008/07/17 22:11:28  qboosh
- ac version

Revision 1.66  2008/07/17 22:11:00  qboosh
- GPL v2+

Revision 1.65  2008/07/17 22:10:18  qboosh
- ghost soname symlink
- package mount.fuse.ntfs symlink

Revision 1.64  2008/07/11 22:34:35  megabajt
- release 3

Revision 1.63  2008/01/17 00:05:41  glen
- rel 2

Revision 1.62  2007-11-03 18:04:30  qboosh
- removed obsolete pkgconfig patch

Revision 1.61  2007/11/03 18:02:29  qboosh
- removed obsolete va patch
- moved libntfs(8) manual to base (nothing devel but useful crypto info)
- added example config file to doc

Revision 1.60  2007/10/27 15:10:40  blues
- rel.1

Revision 1.59  2007/10/27 14:03:19  blues
- small description update

Revision 1.58  2007/10/16 17:14:00  areq
- BR libconfig-devel

Revision 1.57  2007/10/13 17:45:09  areq
- 2.0.0
- Release 0.1 - what about va.patch ?

Revision 1.56  2007/02/13 07:16:50  glen
- tabs in preamble

Revision 1.55  2007/02/12 00:49:13  baggins
- converted to UTF-8

Revision 1.54  2006/11/13 15:01:54  sparky
- don't use %{without ...}, it may not work after inverting bcond

Revision 1.53  2006/06/22 05:45:12  qboosh
- package ntfscmp

Revision 1.52  2006/06/21 21:02:51  areq
- 1.13.1

Revision 1.51  2006/06/14 14:32:03  qboosh
- added va patch, release 3

Revision 1.50  2006/06/12 19:52:16  glen
- gcc epoch

Revision 1.49  2006/05/22 21:37:02  pluto
- release 2.

Revision 1.48  2006/03/11 16:19:40  matowy
- updated URL

Revision 1.47  2006/03/05 12:10:08  sparky
- added stdarg_h-required.patch, needed by testdisk and probably other programs

Revision 1.46  2006/03/04 23:58:05  qboosh
- updated to 1.13.0, removed obsolete gcc33 patch

Revision 1.45  2005/12/09 18:44:02  sparky
- fake AM_PATH_LIBGNUTLS and missing backshash

Revision 1.44  2005/12/09 18:30:12  sparky
- without crypto bcond, BTW: configure says it was disabled by default

Revision 1.43  2005/10/25 21:37:45  qboosh
- added gnutls,libgcrypt versions
- pkgconfig is needed for gnome or fuse, always BRed for aclocal macro

Revision 1.42  2005/10/25 21:09:34  tommat
- added missing BR:gnutls-devel

Revision 1.41  2005/10/14 08:39:23  qboosh
- updated to 1.12.1, moved mount.ntfs-fuse symlink to proper package

Revision 1.40  2005/10/11 16:16:13  qboosh
- package mkfs.ntfs,mount.ntfs-fuse hardlinks

Revision 1.39  2005/10/10 14:34:55  qboosh
- reverted adapter breakage

Revision 1.38  2005/10/10 14:32:28  paszczus
- updated to 1.12.0
- adaptarized

Revision 1.37  2005/08/28 18:40:52  qboosh
- formatting

Revision 1.36  2005/08/28 18:33:28  darekr
- fix pl desc

Revision 1.35  2005/08/09 11:15:56  qboosh
- more pl

Revision 1.34  2005/08/09 11:07:58  aniolek
- pl desc

Revision 1.33  2005/08/09 10:32:39  charles
- fixed undefined macro: AM_PATH_LIBGCRYPT,
  now can build even if there is no libgcrypt-devel installed

Revision 1.32  2005/08/08 19:24:15  areq
- 1.11.2

Revision 1.31  2005/07/24 11:28:27  qboosh
- added pkgconfig patch to allow build with fuse without gnomevfs
- don't check for fuse if building without it

Revision 1.30  2005/07/22 10:31:39  qboosh
- wrapped, -static just after -devel

Revision 1.29  2005/07/22 10:22:03  qboosh
- cleanup, standard globs

Revision 1.28  2005/07/22 10:05:32  tommat
- moved ntfsmount to fuse package
- sorted packages
- fixed manpage files

Revision 1.27  2005/07/20 17:54:10  tommat
- ver. 1.11.1
- added bconded ntfsmount utility (requires libfuse)

Revision 1.26  2005/07/19 20:48:03  paszczus
- updated to 1.11.0

Revision 1.25  2005/06/25 17:37:57  qboosh
- updated to 1.10.0 (new features, new soname)
- updated ntfsdoc to 0.5

Revision 1.24  2004/09/06 19:21:40  areq
- 1.9.4

Revision 1.23  2004/05/13 20:27:39  adamg
- updated to 1.9.2

Revision 1.22  2004/04/14 13:16:39  jpc
- reverted (can anyone fix this description?)

Revision 1.21  2004/04/12 21:45:33  jpc
- more useful description of gnome-vfs2-modules-ntfs
  (correct my if I am wrong); the former was totaly
  useless (and sadly it is still the case in many
  other descs)
- adapterized (?)

Revision 1.20  2004/04/05 13:30:34  areq
- 1.9.1

Revision 1.19  2004/03/12 22:38:51  qboosh
- updated to 1.9.0, updated gcc33 patch, removed obsolete bswap patch

Revision 1.18  2004/03/01 12:53:02  pawelb
- + bswap.patch

Revision 1.17  2004/03/01 11:53:11  pawelb
- up to 1.8.5

Revision 1.16  2004/01/27 20:00:39  areq
- 1.8.4

Revision 1.15  2004/01/22 18:52:31  areq
- 1.8.3

Revision 1.14  2004/01/11 22:10:03  qboosh
- added subpackage with gnome-vfs2 module

Revision 1.13  2004/01/11 21:34:48  qboosh
- updated to 1.8.2
- hopefully fixed SCSI_DISK_MAJOR patch
- added bswap patch for big-endians

Revision 1.12  2004/01/07 15:16:34  areq
- 1.8.1

Revision 1.11  2004/01/05 20:37:40  areq
- add SCSI_DISK_MAJOR.patch (s/SCSI_DISK_MAJOR/SCSI_DISK0_MAJOR/)

Revision 1.10  2003/11/19 20:30:51  areq
- 1.8.0

Revision 1.9  2003/11/11 17:26:26  areq
- 1.8.0beta2

Revision 1.8  2003/10/24 12:09:39  areq
- 1.8.0beta

Revision 1.7  2003/08/27 00:16:32  gotar
- fixed changelog trailer

Revision 1.6  2003/06/27 09:33:46  qboosh
- added gcc33 patch and -fms-extensions to CFLAGS - builds with gcc 3.3 now

Revision 1.5  2003/06/19 08:22:14  adamg
- source0-md5 fixed

Revision 1.4  2003/05/28 13:00:00  malekith
- massive attack: source-md5

Revision 1.3  2003/05/25 05:51:14  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2003/04/01 20:16:40  qboosh
- finished spec, merged ntfsdoc and noc++ patch - obsoletes linux-ntfs.spec
